Skip to main content
`Ctrl`+`K`

# PetscFVSetSpatialDimension

Set the spatial dimension of a `PetscFV`

## Synopsis

    #include "petscfv.h"
    PetscErrorCode PetscFVSetSpatialDimension(PetscFV fvm, PetscInt dim)

Logically Collective

## Input Parameters

- fvm - the `PetscFV` object

- dim - The spatial dimension

## See Also

`PetscFV`, `PetscFVGetSpatialDimension()`

## Level

intermediate

## Location

src/dm/dt/fv/interface/fv.c

## Examples

src/ts/tutorials/ex11.c
src/ts/tutorials/ex18.c

Index of all FV routines
Table of Contents for all manual pages
Index of all manual pages